ONVIF::Media::Types::PTControlDirectionOptions(3pm)

NAME
ONVIF::Media::Types::PTControlDirectionOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType PTControlDirectionOptions from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   EFlip

•   Reverse

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::PTControlDirectionOptions
   EFlip =>  { # ONVIF::Media::Types::EFlipOptions
     Mode => $some_value, # EFlipMode
     Extension =>  { # ONVIF::Media::Types::EFlipOptionsExtension
     },
   },
   Reverse =>  { # ONVIF::Media::Types::ReverseOptions
     Mode => $some_value, # ReverseMode
     Extension =>  { # ONVIF::Media::Types::ReverseOptionsExtension
     },
   },
   Extension =>  { # ONVIF::Media::Types::PTControlDirectionOptionsExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL